%define name miniChinput
%define ver 0.0.3
%define rel 27zlb

Name: %{name}
Version: %{ver}
Release: %{rel}

Summary: A Chinese XIM server.
Copyright: GPL
Group: User Interface/X
Source: %{name}-0.0.3-2.tar.bz2
Source1: dmalloc-check.c
Patch: %{name}-0.0.3-2zlb.patch
Patch1: %{name}-0.0.3-2mem.patch
Patch2: %{name}-0.0.3-2dmalloc.patch
URL: http://www.yichang.net.cn/~yang
BuildRequires: XFree86-devel, Xft-devel, fontconfig-devel
BuildRequires: imlib-devel >= 1.9.13-9
Buildroot: /var/tmp/%{name}-%{version}-root
ExcludeArch: alpha

%description
MiniChinput is a tiny version of Chinput, a GPLed Chinese XIM server.

%prep
%setup -q
%patch -p1
%patch1 -p1
# -- next patch for debugging (only works with cce_hzinput.so?)
#%patch2 -p1

%build
./configure --prefix=/usr
make
make data

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install
make prefix=$RPM_BUILD_ROOT/usr data-install

strip $RPM_BUILD_ROOT/usr/bin/chinput
strip $RPM_BUILD_ROOT/usr/lib/Chinput/im/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/chinput
/usr/lib/Chinput/*

%changelog
* Sat Oct 12 2002 Zhang Linbo <zlb@lsec.cc.ac.cn>
- modifications to allow more than 65535 input chars/phrases and
  more than 0xA1A1 phrases (WARNING: the .tab files for cce_hzinput.so
  are no longer compatible with TL_hzinput.so).
- bugfix in cin2tab.c: characters not in the range (0xB0-0xF7,0xA1-0xFE)
  may lead to illegal access to the Assoc* arrays.
- remove obsolete unicon/ImmModules/cce/cin2tab.c
- %clean: add 'rm -rf $RPM_BUILD_ROOT'
- simulate xcin: '<-,[>].=' send the character if current
  selection list is empty, and <Enter> sends current input keys (if any).
- remove the led (close) button for dmode=ROOT
- '/' clears input key buffer

* Wed Aug 28 2002 Yu Shao <yshao@redhat.com>
- rebuilt and cleanup

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- rebuilt with new imlib

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com>
- build using gcc-3.2-0.1

* Mon  Jul 8 2002 Yu Shao <yshao@redhat.com>
- make big5 locale work

* Mon  Jul 8 2002 Yu Shao <yshao@redhat.com>
- xft port enhancement, buildrequires

* Mon  Jun 3 2002 Yu Shao <yshao@redhat.com>
- xft porting

* Tue  May 28 2002 Yu Shao <yshao@redhat.com>
- fix gcc3 compiling errors

* Fri  May 10 2002 Yu Shao <yshao@redhat.com>
- fix bugzilla #64688

* Wed  Apr 03 2002 Yu Shao <yshao@redhat.com>
- use zhongyi font in Chinput.ad

* Thu  Mar  14 2002 Yu Shao <yshao@redhat.com>
- recheck license

* Wed  Feb  20 2002 Yu Shao <yshao@redhat.com>
- update miniChinput-0.0.3-iconv.patch

* Thu  Feb  14 2002 Yu Shao <yshao@redhat.com>
- add locale patch to make it more locale robust

* Thu  Jan  31 2002 Yu Shao <yshao@redhat.com>
- add filter to filter unassigned unicode codepoints

* Fri  Jan  26 2002 Yu Shao <yshao@redhat.com>
- New gcc and ia64 patch

* Wed  Dec  5 2001 Yu Shao <yshao@redhat.com>
- Fix no big5 font problem

* Fri  Nov  9 2001 Yu Shao <yshao@redhat.com>
- Add gb18030 stuff and internal code input module

* Fri  Nov  9 2001 Yu Shao <yshao@redhat.com>
- Update to 0.0.3

* Tue Jul 17 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.0.2 to fix tab2txt bugs.

* Sun Jul  8 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add ia64 fix

* Tue Jul  3 2001 Yukihiro Nakai <ynakai@redhat.com>
- Exclude ia64 and alpha

* Wed Jun 27 2001 Yukihiro Nakai <ynakai@redhat.com>
- Initial release.
